### Constructor

# Gtk Picture new_for_file

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_file (
      GFile* file
    )

#### Description [src]

Creates a new `GtkPicture` displaying the given `file`.

If the file isn’t found or can’t be loaded, the resulting `GtkPicture` is empty.

If you need to detect failures to load the file, use `gdk_texture_new_from_file()` to load the file yourself, then create the `GtkPicture` from the texture.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkPicture`

The data is owned by the called function.